Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157498 - CAN-2004-2014 wget symlink race
Summary: CAN-2004-2014 wget symlink race
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: wget
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard: impact=low,public=20040516,source=cve...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-12 01:32 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-771
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-27 16:09:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:771 normal SHIPPED_LIVE Low: wget security update 2005-09-27 04:00:00 UTC

Description Josh Bressers 2005-05-12 01:32:53 UTC
Wget 1.9 and 1.9.1 allows local users to overwrite arbitrary files via a symlink
attack on the name of the file being downloaded.

http://marc.theaimsgroup.com/?l=bugtraq&m=108481268725276&w=2

Comment 1 Josh Bressers 2005-05-12 01:33:36 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 4 Red Hat Bugzilla 2005-09-27 16:09:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-771.html



Note You need to log in before you can comment on or make changes to this bug.